summaryrefslogtreecommitdiff
path: root/tests/misc/nohup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/nohup.sh')
-rwxr-xr-xtests/misc/nohup.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/misc/nohup.sh b/tests/misc/nohup.sh
index e9c8c389a..1b43b606f 100755
--- a/tests/misc/nohup.sh
+++ b/tests/misc/nohup.sh
@@ -118,6 +118,8 @@ EOF
# Make sure it fails with exit status of 125 when given too few arguments,
# except that POSIX requires 127 in this case.
returns_ 125 nohup >/dev/null 2>&1 || fail=1
-POSIXLY_CORRECT=1 returns_ 127 nohup >/dev/null 2>&1 || fail=1
+export POSIXLY_CORRECT=1
+returns_ 127 nohup >/dev/null 2>&1 || fail=1
+unset POSIXLY_CORRECT
Exit $fail